This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 851896 (CVE-2012-3451)

Summary: CVE-2012-3451 jbossws-cxf, apache-cxf: SOAPAction spoofing on document literal web services
Product: [Other] Security Response Reporter: David Jorm <djorm>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: asoldano, jlieskov, mjc, pcheung, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20120919,reported=20120825,source=upstream,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:P/A:N,brms-5/Security=affected,soap-5/Security=affected,openshift-1/Cartridges=affected,fedora-17/jbossws-cxf=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-04-15 17:30:47 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 858781, 858925, 858926, 858927, 873846, 915386    
Bug Blocks: 851898, 881519, 917476, 917477    

Description David Jorm 2012-08-26 21:25:06 EDT
Apache CXF is vulnerable to SOAPAction spoofing attacks under certain conditions. If web services are exposed via Apache CXF that use a unique SOAPAction for each service operation, then a remote attacker could perform SOAPAction spoofing to call a forbidden operation if it accepts the same parameters as an allowed operation. WS-Policy validation is performed against the operation being invoked, and an attack must pass validation to be successful.
Comment 2 Jan Lieskovsky 2012-09-19 12:38:35 EDT
This is now public via upstream advisory:
[1] http://cxf.apache.org/cve-2012-3451.html

Relevant upstream patch:
[2] http://svn.apache.org/viewvc?view=revision&revision=1368559
Comment 3 Jan Lieskovsky 2012-09-19 12:42:15 EDT
This issue affects the version of the jbossws-cxf package, as shipped with Fedora release of 17. Please schedule an update.
Comment 4 Jan Lieskovsky 2012-09-19 12:43:01 EDT
Created jbossws-cxf tracking bugs for this issue

Affects: fedora-17 [bug 858781]
Comment 8 Murray McAllister 2012-10-11 00:10:42 EDT
Acknowledgements:

Red Hat would like to thank the Apache CXF project for reporting this issue.
Comment 9 errata-xmlrpc 2012-12-18 17:21:49 EST
This issue has been addressed in following products:

  JBEAP 6 for RHEL 5

Via RHSA-2012:1591 https://rhn.redhat.com/errata/RHSA-2012-1591.html
Comment 10 errata-xmlrpc 2012-12-18 17:33:37 EST
This issue has been addressed in following products:

  JBEAP 6 for RHEL 6

Via RHSA-2012:1592 https://rhn.redhat.com/errata/RHSA-2012-1592.html
Comment 11 errata-xmlrpc 2012-12-18 17:53:32 EST
This issue has been addressed in following products:

  JBoss Enterprise Application Platform 6.0.1

Via RHSA-2012:1594 https://rhn.redhat.com/errata/RHSA-2012-1594.html
Comment 12 errata-xmlrpc 2013-02-13 13:52:01 EST
This issue has been addressed in following products:

  JBoss Enterprise Application Platform 5.2.0

Via RHSA-2013:0256 https://rhn.redhat.com/errata/RHSA-2013-0256.html
Comment 13 errata-xmlrpc 2013-02-13 14:02:41 EST
This issue has been addressed in following products:

  JBEWP 5 for RHEL 4
  JBEWP 5 for RHEL 5
  JBEWP 5 for RHEL 6

Via RHSA-2013:0259 https://rhn.redhat.com/errata/RHSA-2013-0259.html
Comment 14 errata-xmlrpc 2013-02-13 14:02:48 EST
This issue has been addressed in following products:

  JBoss Enterprise Web Platform 5.2.0

Via RHSA-2013:0258 https://rhn.redhat.com/errata/RHSA-2013-0258.html
Comment 15 errata-xmlrpc 2013-02-13 14:03:23 EST
This issue has been addressed in following products:

  JBEAP 5 for RHEL 4
  JBEAP 5 for RHEL 5
  JBEAP 5 for RHEL 6

Via RHSA-2013:0257 https://rhn.redhat.com/errata/RHSA-2013-0257.html
Comment 16 errata-xmlrpc 2013-04-09 14:19:09 EDT
This issue has been addressed in following products:

  JBoss Enterprise SOA Platform 5.3.1

Via RHSA-2013:0726 https://rhn.redhat.com/errata/RHSA-2013-0726.html
Comment 17 errata-xmlrpc 2013-04-15 13:51:52 EDT
This issue has been addressed in following products:

  JBoss Enterprise BRMS Platform 5.3.1

Via RHSA-2013:0743 https://rhn.redhat.com/errata/RHSA-2013-0743.html